#
# spec file for package python-PyECLib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-PyECLib
Version:        1.5.0
Release:        lp150.1.3
Summary:        Simple interface for implementing erasure codes
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://git.openstack.org/cgit/openstack/pyeclib/
Source:         https://files.pythonhosted.org/packages/source/P/PyECLib/pyeclib-%{version}.tar.gz
BuildRequires:  liberasurecode-devel >= 1.4.0
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This library makes use of Jesasure for Reed-Solomon as implemented by the
liberasurecode library and provides its' own flat XOR-based erasure code
encoder and decoder.  Currently, it implements a specific class of HD
Combination Codes (see "Flat XOR-based erasure codes in storage systems:
Constructions, efficient recovery, and tradeoffs" in IEEE MSST 2010).  These
codes are well-suited to archival use-cases, have a simple construction and
require a minimum number of participating disks during single-disk
reconstruction (think XOR-based LRC code).


%prep
%setup -q -n pyeclib-%{version}

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test

%files
%{python2_sitearch}/pyeclib
%{python2_sitearch}/pyeclib_c.so
%{python2_sitearch}/pyeclib*egg-info

%changelog
* Tue Oct 24 2017 dmueller@suse.com
- update to 1.5.0:
  * bugfixes
  * add support for Phazr.IO's erasure code library with built-in privacy
* Sat Jan  7 2017 dmueller@suse.com
- update to 1.4.0
* Sun Oct  9 2016 dmueller@suse.com
- update to 1.3.1:
  * no changelog available
- enable tests
* Mon Feb 29 2016 dmueller@suse.com
- update to 1.2.0:
  * no changelog available
* Wed Aug  5 2015 tbechtold@suse.com
- Add missing BuildRequires and Requires for jerasure
  and gf-complete libs
* Wed Jul 29 2015 tbechtold@suse.com
- Initial packaging
